import json


def migrate(db):
    for key in db:
        flex_copy = db[key]["flex"]
        db[key]["flex"] = {}

        for pokeid in flex_copy:
            if pokeid in db[key]["flex"]:
                db[key]["flex"][pokeid] += 1
            else:
                db[key]["flex"][pokeid] = 1


with open("save.txt", "r") as file:
    data = file.read()
    if data:
        db = json.loads(data)
    else:
        raise Exception("save.txt had no data")

    f = open("save1.txt", "w")
    f.write(json.dumps(db))
    f.close()

    migrate(db)

    f = open("save.txt", "w")
    f.write(json.dumps(db))
    f.close()
